# CONTRIBUTING

> 🚧 This project is in early development, so bugs and breaking changes are expected until we reach a stable version.

We are happy to accept contributions by the community in the form of:

1. [Datasets](pytorch_eo/datasets): Pytorch Lightning datamodules ready to train models (download and pre-process data).
2. [Tasks](pytorch_eo/tasks): Pytorch Lightning modules for training neural networks.
3. [Examples](examples): Notebooks showing what you can do with Pytorch EO.

## Instructions

1. Fork this repository
2. Make a new branch with your code
3. Consider adding an example as a notebook
4. Create a Pull Request from your branch to `develop`
5. Add necessary modifications according to feedback.
6. Once everything looks fine, your branch will be merged.

## Asking for new features

If you want to use Pytorch EO for something that is not currently available, please consider open an issue explaining your use case.
